Subject: Re: bug#8338: 24.0.50; lexbind lisp error

From: "Eric M. Ludlam" <[email-masked]>
Date: Thu, 05 May 2011 07:42:02 -0400

On 05/04/2011 11:47 PM, Stefan Monnier wrote:
>> I looked at the bzr trunk and here is how to reproduce
>
>> emacs -Q
>> enable semantic (semantic-mode 1)
>> open a c file kernel/fork.c
>> on a function name do semantic-ia-show-summary
>> exit emacs. This will ask to create semanticDB
>> start emacs -Q
>> open the same c file
>> you get the error
>
> I believe I have found the culprit and fixed it with the patch below
> which I have just installed into trunk.
> Thanks Eric for pointing out that maybe the real problem was hidden by
> a condition-case somewhere.
>
> I'm bumping into another unexplained problem now, tho.  It might be due
> to some local messed up database (the same problem shows up with
> Emacs-23.3), but in any case, please confirm (or infirm) that the
> problem is really fixed for you.
>
>          Stefan

Hi,

   If semanticdb starts throwing errors which require a fix (as in this 
case), then there is also a chance that the output written to disk in 
the cache is corrupt.  A good first step is to always just delete 
everything in your ~/.semanticdb directory and restart Emacs to 
eliminate this possibility.

Eric